Custom objects
Get a record
The record plus field_list (label, type, display value, options), relations (linked records per relation type), the web URL and editable.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: CustomersScope:
crm.readPath parameters
keystringrequiredObject key.
idintegerrequiredRecord id.
Errors
| HTTP | error | Meaning |
|---|---|---|
404 | not_found | Record not found. |
Request
curl https://ornek.solk.app/api/v1/objects/uretim_hatti/records/10 \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/objects/uretim_hatti/records/10", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/objects/uretim_hatti/records/10",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response
{
"ok": true,
"record": {
"active": true,
"customer": {
"id": 1,
"name": "Alize Paketleme San. ve Tic. A.Ş."
},
"editable": true,
"field_list": [
{
"display": "",
"key": "hat_tipi",
"label": "Hat tipi",
"options": [
"Solventsiz laminasyon"
],
"required": false,
"type": "select",
"value": null
}
],
"fields": {
"hat_tipi": null,
"hiz_m_dk": null,
"kurulum_yili": null,
"mevcut_yapistirici": null
},
"id": 10,
"name": "Hat 3 — şişirme",
"owner": "Deniz Aksoy",
"owner_id": 1,
"relations": [
{
"items": [
{
"id": 1,
"name": "Alize Paketleme San. ve Tic. A.Ş."
}
],
"key": "co1_customer",
"kind": "customer",
"label": "Firma",
"many": false,
"side": "a",
"target_label": "Firma"
}
],
"sub": "",
"updated_at": "2026-10-15T11:02:09",
"url": "https://ornek.solk.app/o/uretim_hatti/10"
}
}Example responses were captured from a v98 installation running sample data; lists are shortened to two items.